Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1271844 - ForceReturnValuesTest.testDifferentInstancesForDifferentForceReturnValues is failing
Summary: ForceReturnValuesTest.testDifferentInstancesForDifferentForceReturnValues is ...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: CPP Client
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.6.0
Assignee: Alan Field
QA Contact: Alan Field
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-14 20:56 UTC by Alan Field
Modified: 2018-01-30 01:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-15 19:27:14 UTC
Type: Bug


Attachments (Terms of Use)
Memtestv logs (19.82 KB, application/x-gzip)
2015-10-29 19:59 UTC, Alan Field
no flags Details

Description Alan Field 2015-10-14 20:56:21 UTC
Description of problem:

The ForceReturnValuesTest.testDifferentInstancesForDifferentForceReturnValues test is failing when checking the previous retunr value when ForceReturnValue is true for the cache. Here is code:

   public void testDifferentInstancesForDifferentForceReturnValues() {
      RemoteCache<String, String> rcDontForceReturn = remoteCacheManager.getCache(false);
      RemoteCache<String, String> rcForceReturn = remoteCacheManager.getCache(true);
      assertNotSame("RemoteCache instances should not be the same", rcDontForceReturn, rcForceReturn);

      String rv = rcDontForceReturn.put("Key", "Value");
      assertNull(rv);
      rv = rcDontForceReturn.put("Key", "Value2");
      assertNull(rv);

      rv = rcForceReturn.put("Key2", "Value");
      assertNull(rv);
      rv = rcForceReturn.put("Key2", "Value2");
      assertNotNull(rv); <-- THIS ASSERT FAILS, rv IS NULL
      assertEquals("Previous value should be 'Value'", "Value", rv);
   }
   


Version-Release number of selected component (if applicable): JDG 6.6 DR3


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Alan Field 2015-10-15 14:44:05 UTC
I was unable to reproduce this in straight C++ code, so the issue is somewhere in the SWIG layer. Investigating now.

Comment 3 Alan Field 2015-10-15 19:27:14 UTC
Now I can't reproduce this in SWIG either. Closing...

Comment 4 Alan Field 2015-10-21 12:19:09 UTC
Re-opening, because this has reappeared in the JDG 6.6 DR4 build

Comment 5 Alan Field 2015-10-21 13:13:27 UTC
This failure occurs when requesting a cache with force return values equal to true from RemoteCacheManager.getCache(), but not when requesting the same cache with RemoteCache.withFlags(Flag.FORCE_RETURN_VALUE)

Comment 6 Alan Field 2015-10-29 19:59:39 UTC
Created attachment 1087661 [details]
Memtestv logs

memtestv logs that show uninitialized variable warnings

Comment 8 Alan Field 2015-11-06 20:07:52 UTC
Verified in JDG 6.6.0 ER1


Note You need to log in before you can comment on or make changes to this bug.